# H323H261PluginCapability Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for H323H261PluginCapability:

[legend]
Collaboration diagram for H323H261PluginCapability:
[legend]

## Public Member Functions

| H323H261PluginCapability (const PluginCodec_Definition *codecDefn, const OpalMediaFormat &mediaFormat)
Comparison | Compare (const PObject &obj) const
virtual PObject * | Clone () const
virtual PString | GetFormatName () const
virtual unsigned | GetSubType () const
virtual PBoolean | OnSendingPDU (H245_VideoCapability &pdu) const
virtual PBoolean | OnSendingPDU (H245_VideoMode &pdu) const
virtual PBoolean | OnReceivedPDU (const H245_VideoCapability &pdu)

## Constructor & Destructor Documentation

H323H261PluginCapability::H323H261PluginCapability | ( | const PluginCodec_Definition * | codecDefn,
|  | const OpalMediaFormat & | mediaFormat |
| ) |  |  |

## Member Function Documentation

virtual PObject* H323H261PluginCapability::Clone | ( |  | ) | const`[virtual]`

Comparison H323H261PluginCapability::Compare | ( | const PObject & | obj | ) | const

Compare two capability instances. This compares the main and sub-types of the capability.

Reimplemented from H323Capability.

virtual PString H323H261PluginCapability::GetFormatName | ( |  | ) | const`[virtual]`

Reimplemented from H323PluginCapabilityInfo.

virtual unsigned H323H261PluginCapability::GetSubType | ( |  | ) | const`[virtual]`

Get the sub-type of the capability. This is a code dependent on the main type of the capability.

Implements H323Capability.

virtual PBoolean H323H261PluginCapability::OnReceivedPDU | ( | const H245_VideoCapability & | pdu | ) | `[virtual]`

This function is called whenever and incoming TerminalCapabilitySet or OpenLogicalChannel PDU has been used to construct the control channel. It allows the capability to set from the PDU fields, information in members specific to the class.

The default behaviour is pure.

Parameters:

  pdu | PDU to get information from

Reimplemented from H323VideoCapability.

virtual PBoolean H323H261PluginCapability::OnSendingPDU | ( | H245_VideoMode & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing RequestMode PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour sets the PDUs tag according to the GetSubType() function (translated to different enum).

Implements H323VideoCapability.

virtual PBoolean H323H261PluginCapability::OnSendingPDU | ( | H245_VideoCapability & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing TerminalCapabilitySet or OpenLogicalChannel PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour is pure.

Parameters:

  pdu | PDU to set information on

Reimplemented from H323VideoCapability.

The documentation for this class was generated from the following file:

- opalpluginmgr.h